1. Native OpenAI Format
ALLLLMS
  • AI Model APIs
    • Documentation
    • Models
      • List Models
        • Native OpenAI Format
        • Native Gemini Format
    • Chat
      • Native OpenAI Format
        • Chat Completions Format
          POST
        • Responses Format
          POST
      • Native Gemini Format
        • Gemini Text Chat
        • Gemini Media Recognition
      • Native Claude Format
        POST
    • Images
      • Native OpenAI Format
        • Generate Image
        • Edit Image
      • Qwen Format
        • Generate Image
        • Edit Image
      • Nano Banana
        • Native Gemini Format
        • OpenAI Chat Format
    • Videos
      • Sora Format
        • Create Video
        • Get Video Task Status
        • Get Video Content
      • Kling Format
        • Kling Text-to-Video
        • Get Kling Text-to-Video Task Status
        • Kling Image-to-Video
        • Get Kling Image-to-Video Task Status
      • Jimeng Format
        • Jimeng Video Generation
      • Create Video Generation Task
      • Get Video Generation Task Status
    • Embeddings
      • Native OpenAI Format
      • Native Gemini Format
    • Completions
      • Native OpenAI Format
    • Audio
      • Native OpenAI Format
        • Audio Transcription
        • Audio Translation
        • Text to Speech
      • Native Gemini Format
    • Realtime
      • Native OpenAI Format
    • Rerank
      • Document Reranking
    • Moderations
      • Native OpenAI Format
    • Unimplemented
      • Fine-tuning
        • List Fine-tuning Jobs (Unimplemented)
        • Create Fine-tuning Job (Unimplemented)
        • Get Fine-tuning Job Details (Unimplemented)
        • Cancel Fine-tuning Job (Unimplemented)
        • Get Fine-tuning Job Events (Unimplemented)
      • Files
        • List Files (Unimplemented)
        • Upload File (Unimplemented)
        • Get File Information (Unimplemented)
        • Delete File (Unimplemented)
        • Get File Content (Unimplemented)
    • Schemas
      • Schemas
        • User
        • Log
        • Model
        • Token
        • Usage
        • PageInfo
        • Channel
        • Redemption
        • ApiResponse
        • ModelsResponse
        • ErrorResponse
        • Message
        • MessageContent
        • Tool
        • ToolCall
        • GeminiModelsResponse
        • ChatCompletionResponse
        • ChatCompletionRequest
        • ChatCompletionStreamResponse
        • CompletionRequest
        • CompletionResponse
        • ResponseFormat
        • ResponsesRequest
        • ResponsesResponse
        • ResponsesStreamResponse
        • ClaudeRequest
        • ClaudeMessage
        • ClaudeResponse
        • EmbeddingRequest
        • EmbeddingResponse
        • ImageGenerationRequest
        • ImageEditRequest
        • ImageResponse
        • AudioTranscriptionRequest
        • AudioTranslationRequest
        • AudioTranscriptionResponse
        • SpeechRequest
        • RerankRequest
        • RerankResponse
        • VideoRequest
        • ModerationRequest
        • VideoResponse
        • ModerationResponse
        • VideoTaskResponse
        • GeminiRequest
        • VideoTaskMetadata
        • VideoTaskError
        • GeminiResponse
        • OpenAIVideo
        • OpenAIVideoError
  1. Native OpenAI Format

Chat Completions Format

POST
/v1/chat/completions
Create a model response from conversation history. Supports streaming and non-streaming responses.
Compatible with the OpenAI Chat Completions API.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Example
{
    "model": "gpt-4",
    "messages": [
        {
            "role": "developer",
            "content": [
                {
                    "type": "video_url",
                    "text": "Describe this videoDescribe。the visible content。Return a concise answer。\nsample text\nsample text",
                    "image_url": {
                        "url": "https://nutritious-expense.org/",
                        "detail": "auto"
                    },
                    "input_audio": {
                        "data": "in ut id nostrud dolore",
                        "format": "wav"
                    },
                    "file": {
                        "filename": "____.mp2",
                        "file_data": "minim",
                        "file_id": "70"
                    },
                    "video_url": {
                        "url": "https://windy-tuxedo.com/"
                    }
                }
            ],
            "name": "sample text",
            "tool_calls": [
                {
                    "id": "18",
                    "type": "function",
                    "function": {
                        "name": "sample text",
                        "arguments": "exercitation"
                    }
                }
            ],
            "tool_call_id": "1",
            "reasoning_content": "quis"
        },
        {
            "role": "system",
            "content": [
                {
                    "type": "video_url",
                    "text": "sample text",
                    "image_url": {
                        "url": "https://informal-straw.info/",
                        "detail": "high"
                    },
                    "input_audio": {
                        "data": "nisi",
                        "format": "mp3"
                    },
                    "file": {
                        "filename": "______.dll",
                        "file_data": "minim in amet Ut",
                        "file_id": "51"
                    },
                    "video_url": {
                        "url": "https://idealistic-fledgling.org/"
                    }
                }
            ],
            "name": "sample text",
            "tool_calls": [
                {
                    "id": "14",
                    "type": "function",
                    "function": {
                        "name": "sample text",
                        "arguments": "proident fugiat deserunt consequat laborum"
                    }
                }
            ],
            "tool_call_id": "85",
            "reasoning_content": "ut in sunt"
        },
        {
            "role": "user",
            "content": "Lorem reprehenderit exercitation consequat",
            "name": "sample text",
            "tool_calls": [
                {
                    "id": "55",
                    "type": "function",
                    "function": {
                        "name": "sample text",
                        "arguments": "elit in do enim"
                    }
                }
            ],
            "tool_call_id": "12",
            "reasoning_content": "aliqua"
        }
    ],
    "temperature": 1.7242446935551838,
    "top_p": 0.945775289303354,
    "n": 46507828,
    "stream": true,
    "stream_options": {
        "include_usage": false
    },
    "stop": [
        "anim enim aute veniam",
        "quis consectetur"
    ],
    "max_tokens": 59,
    "max_completion_tokens": 80,
    "presence_penalty": -0.01041976290670954,
    "frequency_penalty": -0.9609797789517782,
    "logit_bias": {
        "ex_4": 66,
        "in_59b": 87
    },
    "user": "et nulla dolor labore",
    "tools": [
        {
            "type": "function",
            "function": {
                "name": "sample text",
                "description": "sample text",
                "parameters": {}
            }
        },
        {
            "type": "function",
            "function": {
                "name": "sample text",
                "description": "sample text",
                "parameters": {}
            }
        }
    ],
    "tool_choice": {
        "type": "ullamco",
        "function": {
            "name": "sample text"
        }
    },
    "response_format": {
        "type": "text",
        "json_schema": {}
    },
    "seed": 99,
    "reasoning_effort": "high",
    "modalities": [
        "text",
        "text"
    ],
    "audio": {
        "voice": "minim culpa",
        "format": "ex"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/chat/completions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "model": "gpt-4",
    "messages": [
        {
            "role": "developer",
            "content": [
                {
                    "type": "video_url",
                    "text": "Describe this videoDescribe。the visible content。Return a concise answer。\nsample text\nsample text",
                    "image_url": {
                        "url": "https://nutritious-expense.org/",
                        "detail": "auto"
                    },
                    "input_audio": {
                        "data": "in ut id nostrud dolore",
                        "format": "wav"
                    },
                    "file": {
                        "filename": "____.mp2",
                        "file_data": "minim",
                        "file_id": "70"
                    },
                    "video_url": {
                        "url": "https://windy-tuxedo.com/"
                    }
                }
            ],
            "name": "sample text",
            "tool_calls": [
                {
                    "id": "18",
                    "type": "function",
                    "function": {
                        "name": "sample text",
                        "arguments": "exercitation"
                    }
                }
            ],
            "tool_call_id": "1",
            "reasoning_content": "quis"
        },
        {
            "role": "system",
            "content": [
                {
                    "type": "video_url",
                    "text": "sample text",
                    "image_url": {
                        "url": "https://informal-straw.info/",
                        "detail": "high"
                    },
                    "input_audio": {
                        "data": "nisi",
                        "format": "mp3"
                    },
                    "file": {
                        "filename": "______.dll",
                        "file_data": "minim in amet Ut",
                        "file_id": "51"
                    },
                    "video_url": {
                        "url": "https://idealistic-fledgling.org/"
                    }
                }
            ],
            "name": "sample text",
            "tool_calls": [
                {
                    "id": "14",
                    "type": "function",
                    "function": {
                        "name": "sample text",
                        "arguments": "proident fugiat deserunt consequat laborum"
                    }
                }
            ],
            "tool_call_id": "85",
            "reasoning_content": "ut in sunt"
        },
        {
            "role": "user",
            "content": "Lorem reprehenderit exercitation consequat",
            "name": "sample text",
            "tool_calls": [
                {
                    "id": "55",
                    "type": "function",
                    "function": {
                        "name": "sample text",
                        "arguments": "elit in do enim"
                    }
                }
            ],
            "tool_call_id": "12",
            "reasoning_content": "aliqua"
        }
    ],
    "temperature": 1.7242446935551838,
    "top_p": 0.945775289303354,
    "n": 46507828,
    "stream": true,
    "stream_options": {
        "include_usage": false
    },
    "stop": [
        "anim enim aute veniam",
        "quis consectetur"
    ],
    "max_tokens": 59,
    "max_completion_tokens": 80,
    "presence_penalty": -0.01041976290670954,
    "frequency_penalty": -0.9609797789517782,
    "logit_bias": {
        "ex_4": 66,
        "in_59b": 87
    },
    "user": "et nulla dolor labore",
    "tools": [
        {
            "type": "function",
            "function": {
                "name": "sample text",
                "description": "sample text",
                "parameters": {}
            }
        },
        {
            "type": "function",
            "function": {
                "name": "sample text",
                "description": "sample text",
                "parameters": {}
            }
        }
    ],
    "tool_choice": {
        "type": "ullamco",
        "function": {
            "name": "sample text"
        }
    },
    "response_format": {
        "type": "text",
        "json_schema": {}
    },
    "seed": 99,
    "reasoning_effort": "high",
    "modalities": [
        "text",
        "text"
    ],
    "audio": {
        "voice": "minim culpa",
        "format": "ex"
    }
}'

Responses

🟢200Success
application/json
Response created successfully
Bodyapplication/json

Example
{
    "id": "string",
    "object": "chat.completion",
    "created": 0,
    "model": "string",
    "choices": [
        {
            "index": 0,
            "message": {
                "role": "system",
                "content": "string",
                "name": "string",
                "tool_calls": [
                    {
                        "id": "string",
                        "type": "function",
                        "function": {
                            "name": "string",
                            "arguments": "string"
                        }
                    }
                ],
                "tool_call_id": "string",
                "reasoning_content": "string"
            },
            "finish_reason": "stop"
        }
    ],
    "usage": {
        "prompt_tokens": 0,
        "completion_tokens": 0,
        "total_tokens": 0,
        "prompt_tokens_details": {
            "cached_tokens": 0,
            "text_tokens": 0,
            "audio_tokens": 0,
            "image_tokens": 0
        },
        "completion_tokens_details": {
            "text_tokens": 0,
            "audio_tokens": 0,
            "reasoning_tokens": 0
        }
    },
    "system_fingerprint": "string"
}
🟠400Bad Request
🟠429
Modified at 2026-05-23 05:25:08
Previous
Native Gemini Format
Next
Responses Format
Built with